#pragma once
#include "Entity.h"
//µç»·ºËÐÄ
class CS_AmElectricCircleCore :
    public Entity
{
public:
    CS_AmElectricCircleCore(std::shared_ptr<Entity> parent);
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
};

